img {
    height: auto;
    width: auto;
    max-width: 100%;
    max-height: 100%;
}

[tabindex="-1"]:focus,
input:read-write:focus,
select:focus,
textarea:focus {
    box-shadow: none !important;
    --formfieldbordercolor: none;
}

/* Page Banner */

.page-banner .page-container .page-heading h2,
.page-banner .page-container .page-description {
    color: #fff !important;
}

.page-banner .page-container .page-heading h2 {
    font-size: 42px !important;
}

.elementor-243 .elementor-element.elementor-element-89fee97::before,
.elementor-243 .elementor-element.elementor-element-89fee97>.elementor-background-video-container::before,
.elementor-243 .elementor-element.elementor-element-89fee97>.e-con-inner>.elementor-background-video-container::before,
.elementor-243 .elementor-element.elementor-element-89fee97>.elementor-background-slideshow::before,
.elementor-243 .elementor-element.elementor-element-89fee97>.e-con-inner>.elementor-background-slideshow::before,
.elementor-243 .elementor-element.elementor-element-89fee97>.elementor-motion-effects-container>.elementor-motion-effects-layer::before,
.page-banner::before {
    background-color: transparent !important;
    --background-overlay: '' !important;
    background-image: linear-gradient(180deg, #ffffff80 0%, #10488B 100%) !important;
    opacity: 0.85;
}

/* Home Banner */

.banner-wrap {
    height: 95vh;
    width: 100%;
    overflow: hidden;
}

.banner-wrap .banner-item {
    width: 100%;
    height: 95vh;
    position: relative;
}

.banner-wrap .banner-item .image {
    width: 100%;
    height: 100%;
    position: relative;
}

.banner-wrap .banner-item img {
    width: 100%;
    height: 100%;
    object-fit: cover;
    position: relative;
}

.banner-wrap .banner-item .image::before {
    content: "";
    position: absolute;
    top: 0px;
    right: 0px;
    bottom: 0px;
    left: 0px;
    width: 100%;
    height: 100%;
    background: linear-gradient(180deg, rgba(0, 0, 0, 0.2) 20%, rgba(0, 0, 0, 0.5) 100%);
    z-index: 1;
}

.banner-wrap .banner-item .banner-content {
    position: absolute;
    bottom: 120px;
    color: #fff;
    z-index: 2;
    padding: 0px 10%;
    font-family: 'Rubik', sans-serif;
}

.banner-wrap .overflow {
    overflow: hidden;
}

.banner-wrap .owl-item .banner-item .banner-content h6.main-heading {
    font-size: 20px;
    font-family: "Open Sans", Sans-serif;
    line-height: 26px;
    font-weight: 400;
    width: 100%;
    transition: all 0.8s;
    transform: translateY(100%);
}

.banner-wrap .owl-item.active .banner-item .banner-content h6.main-heading {
    transform: translateY(0%);
}

.banner-wrap .owl-item .banner-item .banner-content h5.heading {
    font-size: 45px;
    font-family: "Open Sans", Sans-serif;
    line-height: 52px;
    font-weight: 700;
    width: 60%;
    transition: all 0.8s;
    transform: translateY(100%);
}

.banner-wrap .owl-item.active .banner-item .banner-content h5.heading {
    transform: translateY(0%);
}


.banner-wrap .owl-item .banner-item .banner-content p.sub-heading {
    margin-bottom: 22px;
    font-size: 18px;
    text-transform: capitalize;
    font-weight: 300;
    width: 70%;
    line-height: 30px;
    transform: translateY(100%);
    transition: all 0.8s;
}

.banner-wrap .owl-item.active .banner-item .banner-content p.sub-heading {
    transform: translateY(0%);
}

.banner-wrap .banner-item .banner-content .learn-more {
    position: relative;
    display: inline-block;
    cursor: pointer;
    outline: none;
    border: 0;
    vertical-align: middle;
    text-decoration: none;
    background: transparent;
    padding: 0;
    font-size: inherit;
    font-family: 'Open Sans', sans-serif;
}

.banner-wrap .banner-item .banner-content .learn-more {
    width: 12rem;
    height: auto;
}

.banner-wrap .banner-item .banner-content .learn-more .circle {
    transition: all 0.45s cubic-bezier(0.65, 0, 0.076, 1);
    position: relative;
    display: block;
    margin: 0;
    width: 3rem;
    height: 3rem;
    background: #10488B;
    border-radius: 1.625rem;
}

.banner-wrap .banner-item .banner-content .learn-more .circle .icon {
    transition: all 0.45s cubic-bezier(0.65, 0, 0.076, 1);
    position: absolute;
    top: 0;
    bottom: 0;
    margin: auto;
    background: #10488B;
}

.banner-wrap .banner-item .banner-content .learn-more .circle .icon.arrow {
    transition: all 0.45s cubic-bezier(0.65, 0, 0.076, 1);
    left: 0.625rem;
    width: 1.125rem;
    height: 0.125rem;
    background: none;
}

.banner-wrap .banner-item .banner-content .learn-more .circle .icon.arrow::before {
    position: absolute;
    content: "";
    top: -0.29rem;
    right: 0.0625rem;
    width: 0.625rem;
    height: 0.625rem;
    border-top: 0.125rem solid #fff;
    border-right: 0.125rem solid #fff;
    transform: rotate(45deg);
}

.banner-wrap .banner-item .banner-content .learn-more .button-text {
    transition: all 0.45s cubic-bezier(0.65, 0, 0.076, 1);
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    padding: 0.75rem 0;
    margin: 0 0 0 1.85rem;
    color: #fff;
    font-weight: 400;
    line-height: 1.6;
    text-align: center;
    text-transform: capitalize;
}

.banner-wrap .banner-item .banner-content .learn-more:hover .circle {
    width: 100%;
}

.banner-wrap .banner-item .banner-content .learn-more:hover .circle .icon.arrow {
    background: #fff;
    transform: translate(1rem, 0);
}

.banner-wrap .banner-item .banner-content .learn-more:hover .button-text {
    color: #fff;
}

.banner-wrap .owl-nav {
    position: absolute;
    bottom: 60px;
    right: 60px;
    display: flex;
    justify-content: end;
    gap: 20px;
    width: 100%;
}

.banner-wrap .owl-nav button {
    position: relative;
    border: none;
    background-color: rgba(0, 0, 0, 0.15);
    padding: 28px;
    border-radius: 50%;
    transition: all 0.3s;
}

.banner-wrap .owl-nav button:hover {
    background-color: rgba(0, 0, 0, 0.35);
}

.banner-wrap .owl-nav button span {
    display: none;
}

.banner-wrap .owl-nav button::before {
    content: '\f104';
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    font-family: fontawesome;
    font-size: 16px;
    color: #fff;
}

.banner-wrap .owl-nav button.owl-next::before {
    content: '\f105';
}


.banner-wrap .owl-dots {
    position: absolute;
    bottom: 30px;
    padding: 0px 6%;
    width: 100%;
    display: flex;
    justify-content: space-between;
    gap: 30px;
}

.banner-wrap .owl-dots button.owl-dot {
    flex-grow: 1;
    background-color: rgba(255, 255, 255, 0.2);
    padding: 1.5px;
    position: relative;
    overflow: hidden;
}

.banner-wrap .owl-dots button.owl-dot.active,
.banner-wrap .owl-dots button.owl-dot:hover {
    overflow: visible;
}

.banner-wrap .owl-dots button.owl-dot::before {
    content: "";
    position: absolute;
    top: 0;
    left: 0;
    background-color: transparent;
    width: 100%;
    height: 100%;
    transition: all 0.3s;
}

.banner-wrap .owl-dots button.owl-dot::after {
    content: "Oil & Gas";
    position: absolute;
    font-size: 13px;
    font-family: 'Open Sans', sans-serif;
    font-weight: 250;
    top: 0;
    left: 0;
    transition: all 0.3s;
}

.banner-wrap .owl-dots button.owl-dot:nth-child(2)::after {
    content: "Railway";
}

.banner-wrap .owl-dots button.owl-dot:nth-child(3)::after {
    content: "Petrochemical";
}

.banner-wrap .owl-dots button.owl-dot:nth-child(4)::after {
    content: "Steel Industry";
}

.banner-wrap .owl-dots button.owl-dot:nth-child(5)::after {
    content: "Electrical & Power";
}

.banner-wrap .owl-dots button.owl-dot.active::after,
.banner-wrap .owl-dots button.owl-dot:hover::after {
    top: -24px;
    color: #fff;
}

.banner-wrap .owl-dots button.owl-dot.active::before {
    background-color: #fff;
    animation: width 5s ease-in-out;
}

@keyframes width {
    0% {
        width: 0%;
    }

    100% {
        width: 100%;
    }
}

/* Home Page Industries Slider */

.industries-carousel.owl-carousel .owl-stage {
    position: relative;
    padding: 20px 0;
}

.industries-carousel.owl-carousel .owl-nav, .products-wrap .owl-nav {
    display: flex;
    justify-content: end;
    position: relative;
}

.industries-carousel.owl-carousel .owl-nav button, .products-wrap .owl-nav button {
    background: #10488B;
    color: #10488B;
    border-radius: 50%;
    width: 50px;
    height: 50px;
    margin: 20px 10px;
    position: relative;
    pointer-events: visible;
    transition: all 0.4s;
}

.industries-carousel.owl-carousel .owl-nav button, .products-wrap .owl-nav button {
    position: relative;
}

.industries-carousel.owl-carousel .owl-nav button:hover, .products-wrap .owl-nav button:hover {
    box-shadow: 0px 0px 5px 0px #10488B;
}

.industries-carousel.owl-carousel .owl-nav button.owl-prev::before, .products-wrap .owl-nav button.owl-prev::before {
    content: "\f104";
    position: absolute;
    font-family: fontawesome;
    color: #fff;
    font-size: 16px;
    top: -4%;
    left: 50%;
    transform: translate(-50%, 50%);
    transition: all 0.3s;
}

.industries-carousel.owl-carousel .owl-nav button.owl-prev::after, .products-wrap .owl-nav button.owl-prev::after {
    content: "";
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%) scale(0);
    width: 100%;
    height: 100%;
    border-radius: 50%;
    background: #0E89FF;
    transition: all 0.4s;
}

.industries-carousel.owl-carousel .owl-nav button.owl-prev:hover::after, .products-wrap .owl-nav button.owl-prev:hover::after {
    transform: translate(-50%, -50%) scale(1.02);
    z-index: 1;
}

.industries-carousel.owl-carousel .owl-nav button.owl-prev:hover::before, .products-wrap .owl-nav button.owl-prev:hover::before {
    color: #fff;
    z-index: 2;
}

.industries-carousel.owl-carousel .owl-nav button.owl-next::before, .products-wrap .owl-nav button.owl-next::before {
    content: "\f105";
    position: absolute;
    font-family: fontawesome;
    color: #fff;
    font-size: 16px;
    top: -4%;
    left: 50%;
    transform: translate(-50%, 50%);
    transition: all 0.3s;
}

.industries-carousel.owl-carousel .owl-nav button.owl-next::after, .products-wrap .owl-nav button.owl-next::after {
    content: "";
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%) scale(0);
    width: 100%;
    height: 100%;
    border-radius: 50%;
    background: #0E89FF;
    transition: all 0.4s;
}

.industries-carousel.owl-carousel .owl-nav button.owl-next:hover::after, .products-wrap .owl-nav button.owl-next:hover::after {
    transform: translate(-50%, -50%) scale(1.02);
    z-index: 1;
}

.industries-carousel.owl-carousel .owl-nav button.owl-next:hover::before, .products-wrap .owl-nav button.owl-next:hover::before {
    color: #fff;
    z-index: 2;
}

/* Clients Carousel */

.clients .client-item .image {
    display: flex;
    justify-content: center;
    height: 100px;
    padding: 15px;
    margin: 10px;
    background-color: #fff;
    border-radius: 15px;
    border: 1px solid #e1e1e1;
    transition: all 0.3s;
}

.clients .client-item .image:hover {
    border-color: #10488B;
    /* box-shadow: 0px 0px 10px 0px #10488B50; */
}

.clients .client-item .image img {
    object-fit: contain;
}

.clients.clients-grid {
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(200px, 1fr));
}

/* Contact Form */

.form-submit {
    display: flex;
    flex-direction: column;
    align-items: start;
    row-gap: 16px;
}

.form-submit .basic-details {
    display: flex;
    justify-content: center;
    flex-wrap: wrap;
    gap: 18px;
    width: 100%;
}

.form-submit .basic-details div {
    width: 48%;
}

.form-submit p {
    margin-bottom: 0px;
    position: relative;
}

.form-submit .wpcf7-not-valid-tip {
    color: #eb161c;
    font-size: 9px;
    text-align: end;
    font-weight: 700;
    font-family: "Open Sans", Sans-serif;
    display: block;
    position: absolute;
    right: 0;
}

.wpcf7-response-output {
    border-color: #10488B !important;
    color: #10488B;
    font-family: "Open Sans", Sans-serif;
    font-size: 12px;
    width: max-content;
    margin: 0 !important;
    margin-top: 10px !important;
    border-radius: 18px;
}

.form-submit .input-field {
    position: relative;
    width: 100%;
}

.form-submit .input-field p label {
    color: #10488B;
    font-family: 'Rubik', sans-serif;
    font-size: 14px !important;
    font-weight: 400 !important;
    margin-bottom: 5px;
}

.form-submit .input-field p input,
.form-submit .input-field p select,
.form-submit .input-field p textarea {
    background: transparent;
    border: 0px;
    border: 1px solid #cccccc70;
    border-radius: 5px;
    font-size: 15px;
    height: 44px;
    width: 100%;
    font-family: "Helvetica", Sans-serif;
    color: #000 !important;
    position: relative;
    z-index: 2;
    transition: all 0.3s;
}

.form-submit .input-field p textarea {
    height: 100px !important;
}

.form-submit .input-field p input:focus,
.form-submit .input-field p select:focus,
.form-submit .input-field p textarea:focus {
    box-shadow: none;
    border-color: #10488B !important;
}

.form-submit .submit {
    display: flex;
    justify-content: space-between;
    width: 100%;
    align-items: center;
}

.form-submit .submit span.wpcf7-form-control-wrap.recaptcha {
    transform: scale(0.85);
}

.form-submit .submit .wpcf7-spinner {
    color: #d9d9d9;
}

.form-submit .submit p {
    display: flex;
    flex-direction: row-reverse;
    align-items: center;
    width: 100%;
}

.form-submit .submit .submit-btn {
    background-color: #10488B;
    border-color: #10488B;
    color: #fff;
    font-family: "Open Sans", Sans-serif;
    font-size: 16px;
    font-weight: 600;
    padding: 10px 24px;
    border-radius: 5px;
    transition: all 0.4s;
}

.form-submit .submit .submit-btn:hover {
    background-color: #0040b0;
    border-color: #0040b0;
    color: #fff;
    cursor: pointer;
}

/* Products Grid Css */

.products-grid-wrap {
    display: grid;
    grid-template-columns: repeat(4,1fr);
    gap: 15px;
}

.pagination-custom {
    display: flex;
    justify-content: end;
    gap: 10px;
    padding: 20px 10px 10px;
}

.pagination-custom .page-numbers {
    background-color: #e6e9ef;
    padding: 8px 12px;
    font-family: 'Open Sans', Sans-serif;
    border-radius: 5px;
    font-size: 14px;
    font-weight: 400;
    transition: all 0.3s;
}

.pagination-custom .page-numbers:hover {
    background-color: #0E89FF;
    color: #000;
}

.pagination-custom .page-numbers.current {
    background-color: #0040b0;
    color: #ffffff;
}

/* Products Carousel Css */

.products-wrap .products-grid {
    display: grid;
    grid-template-columns: repeat(4, 1fr);
    gap: 15px;
}

.products-wrap .owl-dots {
    display: none;
}

.products-wrap .product-item {
    padding: 12px;
    background-color: #F4F5F7;
    border-radius: 8px;
    border: 1px solid #e7e7e7;
    transition: all 0.3s;
}

.products-wrap .product-item .product-image {
    width: 100%;
    height: 180px;
    display: flex;
    justify-content: center;
    align-items: center;
    overflow: hidden;
    margin-bottom: 10px;
}

.products-wrap .product-item .product-image img {
    object-fit: contain;
}

.products-wrap .product-item h5.product-title {
    margin: 0;
    font-size: 16px;
    font-weight: 500;
}

/* Products Page */

.allproducts-sections {
    position: relative;
}

.allproducts-sections .productcategories-list {
    position: sticky;
    top: 15px;
    min-height: max-content;
    height: fit-content;
}

.allproducts-sections .productcategory .products-grid-wrap {
    grid-template-columns: repeat(3,1fr);
}

.products-grid-wrap .product-item {
    padding: 12px;
    background-color: #F4F5F7;
    border-radius: 8px;
    border: 1px solid #e7e7e7;
    transition: all 0.3s;
}

.products-grid-wrap .product-item .product-image {
    width: 100%;
    height: 180px;
    display: flex;
    justify-content: center;
    align-items: center;
    overflow: hidden;
    margin-bottom: 10px;
}

.products-grid-wrap .product-item .product-image img {
    object-fit: contain;
}

.products-grid-wrap .product-item h5.product-title {
    margin: 0;
    font-size: 16px;
    font-weight: 500;
}